#language: ru

Функционал: 10_milk_scenario. Заполнение справочников Транспортные средства + Типы ТС

Сценарий: 10_milk_scenario. Заполнение справочников ТС + Типы ТС
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Транспортные средства'
	Тогда открылось окно 'Транспортные средства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Транспортные средства (создание)'
	И в поле 'Государственный номер' я ввожу текст 'Н453РУ'
	И в поле 'Марка' я ввожу текст 'Камаз'
	И я нажимаю кнопку выбора у поля "Тип"
	Тогда открылось окно 'Типы транспортных средств'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Типы транспортных средств (создание)'
	И в поле 'Наименование' я ввожу текст 'Камаз'
	И в поле 'Грузоподъемность' я ввожу текст '9,000'
	И в поле 'Вместимость' я ввожу текст '35,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Типы транспортных средств (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы транспортных средств'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я нажимаю кнопку выбора у поля "Основной водитель"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		 |
		| 'Водитель Иванов Иван' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я устанавливаю флаг 'Постоянно наемное ТС'
	И я нажимаю кнопку выбора у поля "Транспортная компания"
	Тогда открылось окно 'Контрагенты'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Транспортные средства'
	И Я закрываю окно 'Транспортные средства'